--
-- Scripts that migrates the Database Schema from 2.1.0 to 2.2.0
--
-- The 2.2.0 schema integrates :
--	- virtual uids/gids
--	- VOMS support
--

--
-- Create the new tables
--
USE cns_db;
CREATE TABLE Cns_groupinfo (
       rowid INTEGER UNSIGNED AUTO_INCREMENT PRIMARY KEY,
       gid INTEGER,
       groupname VARCHAR(255) BINARY)
      TYPE = InnoDB;

CREATE TABLE Cns_userinfo (
       rowid INTEGER UNSIGNED AUTO_INCREMENT PRIMARY KEY,
       userid INTEGER,
       username VARCHAR(255) BINARY)
      TYPE = InnoDB;

CREATE TABLE Cns_unique_gid (
       id INTEGER UNSIGNED)
      TYPE = InnoDB;

CREATE TABLE Cns_unique_uid (
       id INTEGER UNSIGNED)
       TYPE = InnoDB;

ALTER TABLE Cns_groupinfo
       ADD UNIQUE (groupname);
ALTER TABLE Cns_userinfo
       ADD UNIQUE (username);

--
-- Update the schema version
--
UPDATE schema_version SET major_number=2, minor_number=2, patch_number=0;

USE dpm_db;
UPDATE schema_version SET major_number=2, minor_number=2, patch_number=0;

--
-- Create possible missing indexes
-- 
CREATE INDEX P_U_DESC_IDX ON dpm_pending_req(u_token);
CREATE INDEX U_DESC_IDX ON dpm_req(u_token);
CREATE INDEX G_SURL_IDX ON dpm_get_filereq(FROM_SURL(255));
CREATE INDEX P_SURL_IDX ON dpm_put_filereq(TO_SURL(255));
CREATE INDEX CF_SURL_IDX ON dpm_copy_filereq(FROM_SURL(255));
CREATE INDEX CT_SURL_IDX ON dpm_copy_filereq(TO_SURL(255));
